CORE API(3m17n)

NAME
m17nCore - CORE API: API provided by libm17n-core.so.

  Modules
Managed Object
Objects managed by the reference count.

Symbol
Symbol objects and API for them.

Property List
Property List objects and API for them.

Character
Character objects and API for them.

Chartable
Chartable objects and API for them.

M-text
M-text objects and API for them.

Text Property
Function to handle text properties.

Database
The m17n database and API for it.

  Defines
#define M17N_FUNC(func) ((M17NFunc) (func))
Wrapper for a generic function type.

  Typedefs
typedef void(* M17NFunc )(void)
Generic function type.

Detailed Description

API provided by libm17n-core.so.

Define Documentation

  #define M17N_FUNC(func) ((M17NFunc) (func))

Wrapper for a generic function type.

The macro M17N_FUNC() casts a function to the type M17NFunc.

Typedef Documentation

  typedef void(* M17NFunc)(void)

Generic function type.

M17NFunc is a generic function type for setting a function pointer as a value of MSymbol property or MPlist.

SEE ALSO
    msymbol_put_func(), msymbol_get_func(), mplist_put_func(), mplist_get_func().

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.